package com.brilliance.isc.vo.manager;


import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class TxmVo extends BaseEntity {
    //Internal Unique ID of Text Module
    private String inr;

    //External Key Used to Identify a Text Module Grp8.Key8
    private String extkey;

    //Externally Displayed Name to Identify the Text Module
    private String nam;

    //Contents of Text Module
    private String txt;

    //Language Code [UILCOD, UILTXT]
    private String uil;

    //Version Counter
    private String ver;

    //Entity Group of Text Module
    private String etgextkey;

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getTxt() {
        return txt;
    }

    public void setTxt(String txt) {
        this.txt = txt;
    }

    public String getUil() {
        return uil;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }
}
